✨ New Gift Cards API Live Now - Beta!
curl --request GET \
--url https://api.gameboost.com/v2/payments \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": 123,
"type": "bonus",
"note": "<string>",
"order_type": "<string>",
"order_id": 123,
"amount_eur": "<string>",
"amount_usd": "<string>",
"balance_after_eur": "<string>",
"balance_after_usd": "<string>",
"is_fine": true,
"is_warehouse": true,
"created_at": 123,
"updated_at": 123
}
],
"meta": {
"current_page": 123,
"from": 123,
"last_page": 123,
"per_page": 123,
"to": 123,
"total": 123
},
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
}
}Retrieve a paginated list of all payment transactions for the authenticated user with filtering and sorting options.
curl --request GET \
--url https://api.gameboost.com/v2/payments \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": 123,
"type": "bonus",
"note": "<string>",
"order_type": "<string>",
"order_id": 123,
"amount_eur": "<string>",
"amount_usd": "<string>",
"balance_after_eur": "<string>",
"balance_after_usd": "<string>",
"is_fine": true,
"is_warehouse": true,
"created_at": 123,
"updated_at": 123
}
],
"meta": {
"current_page": 123,
"from": 123,
"last_page": 123,
"per_page": 123,
"to": 123,
"total": 123
},
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.gameboost.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Search payments by id, note, or serviceable_id
Filter by exact id. Supports comma-separated values for multiple matches.
"3,6,9"
Filter by exact type. Supports comma-separated values for multiple matches.
"example"
Filter by exact serviceable type. Supports comma-separated values for multiple matches.
"example"
Filter by exact serviceable id. Supports comma-separated values for multiple matches.
313493
Filter by fine status
Filter by warehouse status
Filter by created at. Supports single date (YYYY-MM-DD) or date range (YYYY-MM-DD,YYYY-MM-DD).
"2019-08-14,2025-12-31"
Filter by updated at. Supports single date (YYYY-MM-DD) or date range (YYYY-MM-DD,YYYY-MM-DD).
"2025-10-05"
Sort by field. Prefix with - for descending order.
id, -id, type, -type, amount, -amount, balance_after, -balance_after, is_fine, -is_fine, created_at, -created_at, updated_at, -updated_at "-created_at"
Items per page (max 50)
1 <= x <= 50Was this page helpful?